Subject: Re: bug#32248: 27.0; (elisp) `Indentation Commands': Bad formatting
From: Eli Zaretskii <[email-masked]>
To: Noam Postavsky <[email-masked]>
Cc: [email-masked], [email-masked]
Date: Wed, 25 Jul 2018 17:26:31 +0300
List-Id: <debbugs-submit.debbugs.gnu.org>

> From: Noam Postavsky <[email-masked]>
> Date: Tue, 24 Jul 2018 22:13:50 -0400
> Cc: [email-masked]
> 
> The corresponding texinfo source has:
> 
>     adjusting the indentation of the affected lines interactively.  While
>     this transient mode is active, typing @key{LEFT} or @key{RIGHT}
>     indents leftward and rightward, respectively, by one space.  You can
>     also type @kbd{S-@key{LEFT}} or @kbd{S-@key{RIGHT}} to indent leftward
> 
> It seems that @key{} by itself just puts angle brackets around the key,
> without changing font.  @kbd{} translates into <kbd> tags.  So I think
> the formatting is as intended.

Yes, it's what the author intended.  Whether to use @kbd{@key{...}} or
just @key{...} is many times a judgment call, and this case is
borderline.  However, given that some of the keys in this node are
inside @kbd and some not, and they are so close to each other within
the same text, I think it is better to have them all in @kbd.  So I
made that change, and I'm marking this bug done.

Thanks.